## Licensed to Cloudera, Inc. under one
## or more contributor license agreements.  See the NOTICE file
## distributed with this work for additional information
## regarding copyright ownership.  Cloudera, Inc. licenses this file
## to you under the Apache License, Version 2.0 (the
## "License"); you may not use this file except in compliance
## with the License.  You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.

<%!
  from desktop.views import commonheader, commonfooter
  from django.utils.translation import ugettext as _
%>

<%namespace name="shared" file="shared_components.mako" />

${ commonheader("ZooKeeper Browser > Create Znode", app_name, user) | n,unicode }
${ shared.menubar() }
<%
  _split = path.split("/");
  _breadcrumbs = [
    [_("Home"), url('zookeeper:index')],
    [cluster['nice_name'].lower(), url('zookeeper:view', id=cluster['id'])],
  ]
  for idx, p in enumerate(_split):
    if p != "":
      _breadcrumbs.append([p, url('zookeeper:tree', id=cluster['id'], path= "/".join(_split[:idx+1]))]);

  _breadcrumbs.append([_('New Znode'), ""]);
%>

${ shared.header(_breadcrumbs, clusters) }

<form class="createZnodeForm" action="" method="POST">
  ${ csrf_token(request) | n,unicode }
  ${form.as_table()|n}
  <br/>
  <br/>
  <input type="submit" class="btn btn-primary" value="${ _('Create Znode') }">
  <a class="btn" href="${url('zookeeper:tree', id=cluster['id'], path=path)}">${ _('Cancel') }</a>
</form>


${ shared.footer() }

${ commonfooter(messages) | n,unicode }
